mbed TLS v2.16.5

Data Fields
mbedtls_ssl_cache_context Struct Reference

Cache context. More...

`#include <ssl_cache.h>`

Collaboration diagram for mbedtls_ssl_cache_context:
[legend]

## Data Fields
mbedtls_ssl_cache_entry * | chain
int | timeout
int | max_entries
mbedtls_threading_mutex_t | mutex

## Detailed Description

Cache context.

Definition at line 82 of file ssl_cache.h.

## Field Documentation

## ◆ chain

mbedtls_ssl_cache_entry* mbedtls_ssl_cache_context::chain

start of the chain

Definition at line 84 of file ssl_cache.h.

## ◆ max_entries

int mbedtls_ssl_cache_context::max_entries

maximum entries

Definition at line 86 of file ssl_cache.h.

## ◆ mutex

mbedtls_threading_mutex_t mbedtls_ssl_cache_context::mutex

mutex

Definition at line 88 of file ssl_cache.h.

## ◆ timeout

int mbedtls_ssl_cache_context::timeout

cache entry timeout

Definition at line 85 of file ssl_cache.h.

The documentation for this struct was generated from the following file:

- ssl_cache.h